summaryrefslogtreecommitdiffstats
path: root/network/ferm
diff options
context:
space:
mode:
author Alan Alberghini <414N@slacky.it>2011-09-09 16:22:49 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-21 19:48:32 -0300
commit5dc0a02af8e70c3818823d9ab3cf58305de6bab2 (patch)
treeebb2296aafdc4c68b7fc965a7818af03bb7d8c1e /network/ferm
parentf4bd939b43f51aeb80772dd492661b8af98bcfa3 (diff)
downloadslackbuilds-5dc0a02af8e70c3818823d9ab3cf58305de6bab2.tar.gz
slackbuilds-5dc0a02af8e70c3818823d9ab3cf58305de6bab2.tar.xz
network/ferm: Added (For Easy Rule Making)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/ferm')
-rw-r--r--network/ferm/README4
-rw-r--r--network/ferm/ferm.SlackBuild69
-rw-r--r--network/ferm/ferm.info10
-rw-r--r--network/ferm/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/network/ferm/README b/network/ferm/README
new file mode 100644
index 0000000000..bd52bca78e
--- /dev/null
+++ b/network/ferm/README
@@ -0,0 +1,4 @@
+ferm is a tool to maintain complex firewalls, without having the trouble to
+rewrite the complex rules over and over again.
+ferm allows the entire firewall rule set to be stored in a separate file, and
+to be loaded with one command.
diff --git a/network/ferm/ferm.SlackBuild b/network/ferm/ferm.SlackBuild
new file mode 100644
index 0000000000..cce45019a9
--- /dev/null
+++ b/network/ferm/ferm.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for ferm
+
+# Copyright (c) 2011 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Build history:
+#
+# 1 - Initial release.
+
+PRGNAM=ferm
+VERSION=${VERSION:-2.0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf "$CWD/$PRGNAM-$VERSION.tar.gz"
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make install PREFIX=$PKG/usr MANDIR=$PKG/usr/man/man1 DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ferm/ferm.info b/network/ferm/ferm.info
new file mode 100644
index 0000000000..ec2a595e94
--- /dev/null
+++ b/network/ferm/ferm.info
@@ -0,0 +1,10 @@
+PRGNAM="ferm"
+VERSION="2.0.9"
+HOMEPAGE="http://ferm.foo-projects.org/"
+DOWNLOAD="http://ferm.foo-projects.org/download/2.0/ferm-2.0.9.tar.gz"
+MD5SUM="2af1fd6942268308c58f99b0cd81f68a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
+APPROVED="dsomero"
diff --git a/network/ferm/slack-desc b/network/ferm/slack-desc
new file mode 100644
index 0000000000..a83188325e
--- /dev/null
+++ b/network/ferm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ferm: ferm (for Easy Rule Making)
+ferm:
+ferm: ferm is a tool to maintain complex firewalls, without having the
+ferm: trouble to rewrite the complex rules over and over again. ferm allows
+ferm: the entire firewall rule set to be stored in a separate file, and to
+ferm: be loaded with one command.
+ferm:
+ferm: Homepage: http://ferm.foo-projects.org/
+ferm:
+ferm:
+ferm: